﻿using Microsoft.AspNetCore.Components;
using ProjetBlazor.Models;

namespace ProjetBlazor.Components
{
    public partial class InventoryImageList
    {

        [Parameter]
        public Item Item { get; set; }

        [CascadingParameter]
        public ItemsList Parent { get; set; }

        internal void OnDragEnter()
        {

            Parent.Actions.Add(new ActionInInventory("On drag enter", Item.Id, Item));
            return;
        }

        internal void OnDragLeave()
        {
            Parent.Actions.Add(new ActionInInventory("On drag leave", Item.Id, Item));
            return;
        }

        internal void OnDrop()
        {
            Parent.Actions.Add(new ActionInInventory("On drop", Item.Id, Item));
            Parent.CurrentDragItem = null;
            return;
        }

        private void OnDragStart()
        {
            Parent.CurrentDragItem = new ItemInInventory(Item);
            Parent.Actions.Add(new ActionInInventory("On drag start", Item.Id, Item));
            return;
        }
    }
}
