﻿using Blazored.Modal.Services;
using Microsoft.AspNetCore.Components;
using Microsoft.Extensions.Localization;
using Microsoft.JSInterop;
using ProjetBlazor.Models;
using ProjetBlazor.Services;
using System.Collections.ObjectModel;
using System.Collections.Specialized;

namespace ProjetBlazor.Components
{
    public partial class ItemsList
    {
        public Models.Inventory inventory = new Models.Inventory();
        public ObservableCollection<ActionInInventory> Actions { get; set; }
        public ItemInInventory CurrentDragItem { get; set; }

        [Parameter]
        public List<Item> Items { get; set; }

        /// <summary>
        /// Gets or sets the java script runtime.
        /// </summary>
        [Inject]
        internal IJSRuntime JavaScriptRuntime { get; set; }

        [Inject]

        public IStringLocalizer<ItemsList> Localizer { get; set; }


        private void OnActionsCollectionChanged(object? sender, NotifyCollectionChangedEventArgs e)
        {
            _ = JavaScriptRuntime.InvokeVoidAsync("Crafting.AddActions", e.NewItems);
        }

        private List<Item>? items;

        private int totalItem;

        [Inject]
        public IDataService DataService { get; set; }

        [Inject]
        public IWebHostEnvironment WebHostEnvironment { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        [CascadingParameter]
        public IModalService Modal { get; set; }
        public object Action { get; internal set; }

        protected override async Task OnInitializedAsync()
        {
            items = await DataService.getAll();
            totalItem = await DataService.Count();
            await base.OnInitializedAsync();
        }

    }
}
