﻿namespace ProjetBlazor.Models
{
    public class ItemInInventory
    {
        public Item item;
        int stack;

        /// <summary>
        /// The number of items in the stack.
        /// </summary>
        public int Stack { get; set; }

        /// <summary>
        /// Constructor for InventoryItem with no parameters.
        /// </summary>
        public ItemInInventory()
        {
            item = new Item();
            Stack = 64;
        }
        /// <summary>
        /// Constructor for InventoryItem with a single item.
        /// </summary>
        /// <param name="item">The item.</param>
        public ItemInInventory(Item item)
        {
            this.item = item;
            Stack = 1;
        }

        /// <summary>
        /// Constructor for InventoryItem with a stack of items.
        /// </summary>
        /// <param name="item">The item</param>
        /// <param name="stock">The number of items in the stack.</param>
        public ItemInInventory(Item item, int stock)
        {
            this.item = item;
            Stack = stock;
        }
    }
}
